com.pdfunit.messages

## Class TwoDocumentsMessage

- java.lang.Object
- - com.pdfunit.messages.AbstractPDFUnitMessage
  - - com.pdfunit.messages.SingleDocumentMessage
    - - com.pdfunit.messages.TwoDocumentsMessage

- All Implemented Interfaces:
    IPDFUnitMessage
  Direct Known Subclasses:
    CompareAccessPermissionMessage, CompareAllPropertiesMessage, CompareBookmarkQuantityMessage, CompareBookmarksMessage, CompareCreationDateMessage, CompareDestinationNamesMessage, CompareDestinationQuantityMessage, CompareEmbeddedFileContentMessage, CompareEmbeddedFileNamesMessage, CompareEmbeddedFilesQuantityMessage, CompareFieldNamesMessage, CompareFieldQuantityMessage, CompareFieldValuesMessage, CompareFormatMessage, CompareImageQuantityMessage, CompareImagesOnPageMessage, CompareJavaScriptMessage, CompareLanguageMessage, CompareLayerNamesMessage, CompareLayerQuantityMessage, CompareModificationDateMessage, ComparePagenumberQuantityMessage, ComparePropertyValueMessage, CompareRenderedPagesMessage, CompareSpecificAccessPermissionMessage, CompareTaggingInfoMessage, CompareTaggingInfoQuantityMessage, CompareTextOnPageMessage

      @DoNotObfuscate
      public class TwoDocumentsMessage
      extends SingleDocumentMessage

  Message class, used as a key for messages.properties.
  Since:
    2016.05
  Author:
    Carsten Siedentop, February 2016

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TwoDocumentsMessage(java.lang.Class<? extends AbstractPDFUnitMessage> msgClass, com.pdfunit.internal.spi.IDocument testDocument, com.pdfunit.internal.spi.IDocument masterDocument)`

  - ### Method Summary

    - ### Methods inherited from class com.pdfunit.messages.AbstractPDFUnitMessage

      `addParam, getMessage, logForDevelopment, shortenName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TwoDocumentsMessage

          protected TwoDocumentsMessage(java.lang.Class<? extends AbstractPDFUnitMessage> msgClass,
                             com.pdfunit.internal.spi.IDocument testDocument,
                             com.pdfunit.internal.spi.IDocument masterDocument)

Copyright (C) PDFUnit.com. See here for license.